package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

/**
 * @Description: ExamRecordResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public class ExamRecordResult implements Serializable {

    @ApiModelProperty(value = "考生准考证号")
    private String ticketNumber;

    @ApiModelProperty(value = "学院名称")
    private String collegeName;

    @ApiModelProperty(value = "学院id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long collegeId;

    @ApiModelProperty(value = "赋分分数")
    private Double assignedScore;

    @ApiModelProperty(value = "百分位等级")
    private Double percentGrade;

    public Long getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(Long collegeId) {
        this.collegeId = collegeId;
    }

    public String getTicketNumber() {
        return ticketNumber;
    }

    public void setTicketNumber(String ticketNumber) {
        this.ticketNumber = ticketNumber;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public Double getAssignedScore() {
        if (Objects.isNull(assignedScore)) {
            return 0D;
        }
        return assignedScore;
    }

    public void setAssignedScore(Double assignedScore) {
        this.assignedScore = assignedScore;
    }

    public Double getPercentGrade() {
        if (Objects.isNull(percentGrade)) {
            return 0D;
        }
        return percentGrade;
    }

    public void setPercentGrade(Double percentGrade) {
        this.percentGrade = percentGrade;
    }
}
